<template>
    <!-- <lightning-card title="Children session" icon-name="custom:custom63">
        <lightning-button label="New Session" slot="actions" onclick={newSession}></lightning-button>
        <template if:true={sessions}>
            <lightning-datatable key-field="Id" data={sessions} columns={columns} onsave={handleSave}
                hide-checkbox-column draft-values={draftValues}>
            </lightning-datatable>
        </template>
        <template if:true={error}>           
        </template>
    </lightning-card> -->
    <div class="border-box">
    <article class="slds-card">
        <div class="slds-page-header slds-border_bottom">            
            <div class="slds-page-header__row">
                <div class="slds-page-header__col-title">
                    <div class="slds-media">
                        <div class="slds-media__figure">
                            <lightning-icon icon-name="custom:custom63" alternative-text="Approved" title="Approved"></lightning-icon>
                        </div>
                        <div class="slds-media__body">
                            <div class="slds-page-header__name">
                                <div class="slds-page-header__name-title">
                                    <h1>
                                        <span class="slds-page-header__title slds-truncate">Child Sessions</span>                                        
                                    </h1>
                                </div>                                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="slds-page-header__col-actions">
                    <div class="slds-page-header__controls">
                        <div class="slds-page-header__control">
                            <ul class="slds-button-group-list">
                                <li>
                                    <button class="slds-button slds-button_neutral" onclick={newSession}>New</button>
                                </li>                                
                            </ul>
                        </div>
                    </div>
                </div>                
            </div>            
        </div>
        <div class="slds-page-header__row">
            <template if:true={sessions}>
                <lightning-datatable key-field="rowNo" data={sessions} columns={columns} onsave={handleSave}
                    hide-checkbox-column draft-values={draftValues} onrowaction={handleRowAction}> 
                </lightning-datatable>
            </template>
            <template if:true={error}>
                <!-- handle Apex error -->
            </template>
        </div>
  
    </article>
</div>
</template>